printWithNumbers {RBioinf} | R Documentation

## Print a function with line numbers

### Description

A function to print a function together with relevant line numbers. These can be used to decide where to set `trace` functions etc.

### Usage

    printWithNumbers(f)

### Arguments

`f` | Any R function.

### Details

The function is printed, all lines that correspond to potential break points in the code are numbered.

### Value

The function is invoked primarily for its side effect; the printing of the function with line numbers. However, the character vector is returned and could be used as input for other tools.

### Author(s)

R. Gentleman

### See Also

`trace`, `capture.output`

### Examples

     printWithNumbers(convertMode)

[Package RBioinf version 1.4.0 Index]